
file_id = "HOME_ACTIVITIES_CHECK"

log_msg("start..",file_id)

local mail_addr = "不在警報メール宛先 <your_mail_address@your.mail.domain>"

local xbee_device = "your_XBee_device_NodeIdentifier"

---------------------------------------------------------------------
-- 前回このスクリプトを実行してから、今回このスクリプトを実行する
-- までの間に、IR カウンタの値を全く検出していない場合には、警告メールを
-- 送信する。このスクリプトの実行間隔は PERIODIC_TIMERスクリプト中で
-- 設定されている。
---------------------------------------------------------------------
local now = os.date "*t"
local stat,flag = get_shared_data("HOME_ACTIVITIES_FLAG")
if not stat then error() end

---------------------------------------------------------------------
-- 検出対象となる時間帯を 07:00 - 22:00 の日中に限定している
---------------------------------------------------------------------
if (flag == "") and (now["hour"] >= 7) and (now["hour"] <= 22) then
	------------------------------
	-- 警報シグナルランプを点ける
	------------------------------
	local param = {}
	param["device"] = xbee_device
	param["bit"] = "5"
	param["value"] = "1"
	if not script_exec("REMOLAB/SIGNAL_BIT_SET",param) then error() end

	------------------------------
	-- 警報メール送信
	------------------------------
	local body = {}
	table.insert(body,"一定期間IRセンサーから")
	table.insert(body,"反応がありませんでした")
	if not mail_send(mail_addr,"","不在警報",unpack(body)) then error() end
	log_msg("*WARNING* 一定期間IRセンサーの反応がありません",file_id)
end

if not set_shared_data("HOME_ACTIVITIES_FLAG","") then error() end

